Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 970750 - flush.pl is not included in perl5
flush.pl is not included in perl5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks: 922538
  Show dependency treegraph
 
Reported: 2013-06-04 14:58 EDT by Nathan Kinder
Modified: 2014-06-17 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-18.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:16:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-06-04 14:58:37 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47374

$ dbgen.pl -o test.ldif -n 10
Legacy library flush.pl will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at /usr/bin/dbgen.pl, line 536.

We should eliminate the requirement for flush.pl in dbgen.pl. None of of other tools appear to use it. The code for flush.pl itself recommends using IO::Handle as an alternative.
Comment 1 Nathan Kinder 2013-06-04 15:01:04 EDT
To verify, simply try to run the dbgen.pl mentioned in the initial bug comment.  It should not output a deprecation message about flush.pl, and test.ldif should be generated successfully.
Comment 2 Nathan Kinder 2013-07-07 22:41:21 EDT
This has been fixed upstream in 389-ds-base-1.3.1.3.
Comment 3 Rich Megginson 2013-10-01 19:25:13 EDT
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.
Comment 7 Amita Sharma 2014-01-10 03:08:23 EST
[root@dhcp201-149 /]# dbgen.pl -o test.ldif -n 10
[root@dhcp201-149 /]# ls
bin  boot  dev  etc  export  home  lib  lib64  media  mnt  opt  proc  qa  root  run  sbin  srv  sys  test.ldif  tmp  usr  var
[root@dhcp201-149 /]# cat test.ldif 
dn: dc=example,dc=com
objectClass: top
objectClass: domain
dc: example
aci: (target=ldap:///dc=example,dc=com)(targetattr=*)(version 3.0; acl "acl1"; allow(write) userdn = "ldap:///self";) 
aci: (target=ldap:///dc=example,dc=com)(targetattr=*)(version 3.0; acl "acl2"; allow(write) groupdn = "ldap:///cn=Directory Administrators, dc=example,dc=com";)
aci: (target=ldap:///dc=example,dc=com)(targetattr=*)(version 3.0; acl "acl3"; allow(read, search, compare) userdn = "ldap:///anyone";)

dn: ou=Accounting,dc=example,dc=com
objectClass: top
objectClass: organizationalUnit
ou: Accounting

dn: ou=Product Development,dc=example,dc=com
objectClass: top
objectClass: organizationalUnit
ou: Product Development

dn: ou=Product Testing,dc=example,dc=com
objectClass: top
objectClass: organizationalUnit
ou: Product Testing

dn: ou=Human Resources,dc=example,dc=com
objectClass: top
objectClass: organizationalUnit
ou: Human Resources

dn: ou=Payroll,dc=example,dc=com
objectClass: top
objectClass: organizationalUnit
ou: Payroll

dn: uid=AKeitel0,ou=Payroll,dc=example,dc=com
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetOrgPerson
cn: Anatola Keitel
sn: Keitel
uid: AKeitel0

Hence VERIFIED
Comment 8 Rich Megginson 2014-01-31 10:13:54 EST
This caused a regression in https://bugzilla.redhat.com/show_bug.cgi?id=922538 - reopening
Comment 9 Rich Megginson 2014-01-31 18:40:32 EST
To ssh://git.app.eng.bos.redhat.com/srv/git/389-ds-base.git
   f86b7bd..9b1e2d0  rhel-7.0 -> rhel-7.0
commit 9b1e2d02e20f270aed32f05210d207398ae0f7a1
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Jan 31 14:21:59 2014 -0700
Comment 10 Amita Sharma 2014-02-04 05:39:47 EST
[root@dhcp201-149 export]# rpm -qa | grep 389
389-adminutil-1.1.15-3.fc19.1.x86_64
389-ds-base-libs-1.3.1.6-18.el7.x86_64
389-ds-base-debuginfo-1.3.1.6-18.el7.x86_64
389-ds-base-1.3.1.6-18.el7.x86_64
389-console-1.1.7-4.fc19.noarch

dbgen.pl -o test.ldif -n 10 created test.ldif successfully.
Hence marking as VERIFIED.
Comment 11 Ludek Smid 2014-06-13 06:16:33 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.